#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:29
# @File           : project_img_label.py
# @IDE            : PyCharm
# @desc           : 项目图片标签信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectImgLabelParams(QueryParams):
    def __init__(
            self,
            image_id: int | None = Query(None, title="图片id"),
            params: Paging = Depends()
    ):
        super().__init__(params)
        self.image_id = image_id
